Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.html.simpleparser
Class StyleSheet

    java.lang.Object
      com.lowagie.text.html.simpleparser.StyleSheet

    public class StyleSheet

extends Object

Field Summary
`HashMap` | `classMap`
`HashMap` | `tagMap`

Constructor Summary
`StyleSheet()` Creates a new instance of StyleSheet

Method Summary
`void` | `applyStyle(String tag, HashMap props)`
`void` | `loadStyle(String style, HashMap props)`
`void` | `loadStyle(String style, String key, String value)`
`void` | `loadTagStyle(String tag, HashMap props)`
`void` | `loadTagStyle(String tag, String key, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classMap

    public HashMap classMap

### tagMap

    public HashMap tagMap

Constructor Detail

### StyleSheet

    public StyleSheet()

  Creates a new instance of StyleSheet

Method Detail

### applyStyle

    public void applyStyle(String tag,
                           HashMap props)

### loadStyle

    public void loadStyle(String style,
                          HashMap props)

### loadStyle

    public void loadStyle(String style,
                          String key,
                          String value)

### loadTagStyle

    public void loadTagStyle(String tag,
                             HashMap props)

### loadTagStyle

    public void loadTagStyle(String tag,
                             String key,
                             String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD